Bug 979783 - SATA reset (Western Digital 2.5' mounted as internal drive on Thinkpad X200 Tablet)
SATA reset (Western Digital 2.5' mounted as internal drive on Thinkpad X200 T...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 09:49 EDT by Xavier Hourcade
Modified: 2013-10-08 13:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:08:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
message logs (48.42 KB, application/x-gzip)
2013-06-30 09:58 EDT, Xavier Hourcade
no flags Details

  None (edit)
Description Xavier Hourcade 2013-06-30 09:49:49 EDT
Description of problem:

  As soon as accessed, internal SATA drive keeps reseting every 15 seconds.
  (unusable)

Version-Release number of selected component (if applicable):

  kernel 3.9.5-301.fc19.x86_64
  Fedora 19 Live KDE, Final RC3 (GOLD)

  WD Scorpio Blue (WD5000BEVT-00ZAT0)
  Thinkpad X200 Tablet (7449-FWG)

How reproducible:

  Always

Steps to Reproduce:

  1. Boot Fedora Live
  2. Launch installer
  3. Step until anaconda starts writing to disk

Actual results:

  Disk reset each 15 seconds (loud "bip" sounds),
  Speed is reported from 3.0 to 1.5 GB/s, keeps reseting.

  kernel: [19107.202186] ata1: exception Emask 0x10 SAct 0x0 SErr 0x4010000 action 0xe frozen
  kernel: [19107.202192] ata1: irq_stat 0x00400040, connection status changed
  kernel: [19107.202195] ata1: SError: { PHYRdyChg DevExch }
  [...]
  kernel: [19158.468590] ata1: limiting SATA link speed to 1.5 Gbps

Expected results:

  Drive does not reset, speed remains at 3.0 GB/s

Additional info:

- Drive passes OK (no error) all manufacturer tests (WD Lifegard Tool).

- Drive seems a popular model (Scorpio Blue series, 500 GB)
  https://wdc.custhelp.com/app/answers/detail/search/1/a_id/5391#

- Drive's "Reduced Power Spinup" mode (jumper) makes no difference
  http://www.wdc.com/wdproducts/library/other/2579-001116.pdf
  https://wdc.custhelp.com/app/answers/detail/search/1/a_id/5391#jumper

- Does occur also with 3.2 kernel from Debian/Wheezy

- Does *not* occur if drive is connected via an external USB case

- Does *not* occur if replaced with another drive (different brand/model)
Comment 1 Xavier Hourcade 2013-06-30 09:58:50 EDT
Created attachment 767093 [details]
message logs

- booted the USB live, started anaconda
- set passwd/sshd and ran dump.sh from another host
- step'ed anaconda screens until installation started
- poweroff
Comment 2 Josh Boyer 2013-09-18 16:38:52 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 13:08:00 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.